Package org.eclipse.birt.report.engine.content

# Interface ITableContent

All Superinterfaces:
  `org.eclipse.birt.report.engine.css.engine.CSSStylableElement`, `IContainerContent`, `IContent`, `IElement`, `IStyledElement`

public interface ITableContent extends IContainerContent
Provides the interfaces for the Table Content

## Field Summary

### Fields inherited from interface org.eclipse.birt.report.engine.content.IContent

`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, REPORT_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

## Method Summary

Modifier and Type
Method
Description
`void`
`addColumn(IColumn column)`
Add the column
`String`
`getCaption()`
Get the caption
`String`
`getCaptionKey()`
Get the caption key
`IColumn`
`getColumn(int index)`
Get the column based on index
`int`
`getColumnCount()`
Get the column count
`List`
`getColumns()`
Get the table columns
`ITableBandContent`
`getFooter()`
Get the footer band, return null if the table has no footer
`ITableBandContent`
`getHeader()`
Get the header band, return null if the table has no header
`String`
`getSummary()`
Get the summary
`boolean`
`isHeaderRepeat()`
Is header repeated
`void`
`setCaption(String caption)`
Set the caption
`void`
`setCaptionKey(String key)`
Set the caption key
`void`
`setHeaderRepeat(boolean repeat)`
Set the repeat of the header
`void`
`setSummary(String summary)`
Set the summary

### Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement

`getComputedStyle, getCSSEngine, getStyle`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IContent

`accept, cloneContent, getACL, getAltText, getAltTextKey, getBookmark, getContentType, getExtension, getExtensions, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTagType, getTOC, getUserProperties, getWidth, getX, getY, hasChildren, isDirectionRTL, isLastChild, isRTL, readContent, setACL, setAltText, setAltTextKey, setBookmark, setExtension, setExtensions, setGenerateBy, setHasChildren, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setLastChild, setName, setReportContent, setTagType, setTOC, setUserProperties, setWidth, setX, setY, writeContent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IElement

`getChildren, getParent, setParent`

### Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement

`getComputedStyle, getStyle, getStyleClass, setStyleClass`

## Method Details

### getColumnCount

int getColumnCount()
Get the column count

Returns:
  the column count

### getColumn

IColumn getColumn(int index)
Get the column based on index

Parameters:
  `index` - column index
Returns:
  the column

### addColumn

void addColumn(IColumn column)
Add the column

Parameters:
  `column` - column

### getCaption

String getCaption()
Get the caption

Returns:
  the caption

### setCaption

void setCaption(String caption)
Set the caption

Parameters:
  `caption` -

### getCaptionKey

String getCaptionKey()
Get the caption key

Returns:
  the caption key

### setCaptionKey

void setCaptionKey(String key)
Set the caption key

Parameters:
  `key` - caption key

### isHeaderRepeat

boolean isHeaderRepeat()
Is header repeated

Returns:
  is header repeated

### setHeaderRepeat

void setHeaderRepeat(boolean repeat)
Set the repeat of the header

Parameters:
  `repeat` - header repeated

### getHeader

ITableBandContent getHeader()
Get the header band, return null if the table has no header

Returns:
  the header band, return null if the table has no header

### getFooter

ITableBandContent getFooter()
Get the footer band, return null if the table has no footer

Returns:
  the footer band, return null if the table has no footer

### getColumns

List getColumns()
Get the table columns

Returns:
  the table columns

### setSummary

void setSummary(String summary)
Set the summary

Parameters:
  `summary` -

### getSummary

String getSummary()
Get the summary

Returns:
  the summary